package com.xunwang.education.service;

import com.xunwang.commonutils.R;
import com.xunwang.education.entity.InviteInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xunwang.education.entity.dto.MyInviteInfoDto;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Guan
 * @since 2023-01-03
 */
public interface InviteInfoService extends IService<InviteInfo> {

    //点击进入我收到的邀请详情，未读变已读，操作变待定
    void modifyStatusToHold(String id);

    // 查询发送的邀请信息list
    List<MyInviteInfoDto> sendMyInviteInfoList(HttpServletRequest request, String status);

    // 查询接受的邀请信息list
    List<MyInviteInfoDto> receiveMyInviteInfoList(HttpServletRequest request, String status);

    // 获取邀请详情
    InviteInfo getInvitationDetail(HttpServletRequest request);

    /**
     * 同意邀请
     * @param request
     * @return
     */
    R agreeInvitation(HttpServletRequest request) throws IOException;
}
